<html>
<head>
<title>Introductory C Programming -- Assignments</title>
</head>
<body>
<H1>Introductory C Programming -- Assignments</H1>

<p>
Here are
<!-- or will be -->
the problem sets I hand out during each of the eight weeks
this class runs when I teach it in person.
If you're out there on the net somewhere,
unable to attend the class in person,
feel free to follow along here!
<!-- As I write this (April, 1997), -->
<!-- I am just starting to place the assignments here, -->
<!-- as I hand them out during my spring quarter class. -->
<!-- I'll be placing the answer sheets up one week at a time, too, -->
<!-- partly because I don't have them all converted to HTML yet, -->
<!-- and partly because I don't want to tempt my students -->
<!-- into peeking at the answers -->
<!-- until they've given the problems their best shot. -->
</p>

<H2>Week 1</H2>
<p>
Topics:
basics -- simple example programs
<br>
<a href="PS1.html">Assignment</a>
<br>
<a href="PS1a.html">Answers</a>
</p>

<H2>Week 2</H2>
<p>
Topics:
data types and constants;
variables, identifiers, and declarations;
operators and expressions
<br>
<a href="PS2.html">Assignment</a>
<br>
<a href="PS2a.html">Answers</a>
</p>

<H2>Week 3</H2>
<p>
Topics:
arrays,
more about declarations (incl. initialization),
functions
<br>
<a href="PS3.html">Assignment</a>
<br>
<a href="PS3a.html">Answers</a>
</p>

<H2>Week 4</H2>
<p>
Topics:
assignment, increment, and decrement operators;
character I/O;
strings
<br>
<a href="PS4.html">Assignment</a>
<br>
<a href="PS4a.html">Answers</a>
</p>

<H2>Week 5</H2>
<p>
Topics:
C preprocessor
<!-- XXX need more -->
<br>
<a href="PS5.html">Assignment</a>
<br>
<a href="PS5a.html">Answers</a>
</p>

<H2>Week 6</H2>
<p>
Topics:
pointers,
strings
<br>
<a href="PS6.html">Assignment</a>
<br>
<a href="PS6a.html">Answers</a>
</p>

<H2>Week 7</H2>
<p>
Topics:
array/pointer equivalence,
memory allocation,
more about strings
<br>
<a href="PS7.html">Assignment</a>
<br>
<a href="PS7a.html">Answers</a>
</p>

<H2>Week 8</H2>
<p>
Topics:
command line,
file I/O
<br>
One last handout:
<a href="http://www.eskimo.com/~scs/cclass/notes/sx14.html">notes, Chapter 14</a>
</p>

</body>
</html>
